List webhook endpoints
List your webhook endpoints and the events each one receives.
Returns your endpoints, newest first, without their secrets.
Query
limitintegerPage size, from 1 to 100. Defaults to 25.cursorstringThenext_cursorfrom the previous page. See pagination.
Errors
- 400
invalid_requestThecursorbelongs to another list.
Any request can also fail on its key or its body. See errors.
Request
curl "https://api.402pay.co/api/v1/webhooks" \
-H "Authorization: Bearer $PAY402_SECRET_KEY"const response = await fetch("https://api.402pay.co/api/v1/webhooks", {
headers: {
Authorization: `Bearer ${process.env.PAY402_SECRET_KEY}`,
},
});
const { data } = await response.json();import os
import requests
response = requests.get(
"https://api.402pay.co/api/v1/webhooks",
headers={
"Authorization": f"Bearer {os.environ['PAY402_SECRET_KEY']}",
},
)
data = response.json()["data"]Response200 OK
{
"data": [
{
"id": "whk_GFAKLrE8wkBwF4WL",
"kind": "webhook",
"url": "https://example.com/webhooks/402pay",
"description": "Fulfill orders",
"event_types": ["payment.succeeded", "payment.failed"],
"enabled": true,
"secret_hint": "whsec_••••X/LG",
"created_at": "2026-09-26T21:22:47.012Z",
"updated_at": "2026-09-26T21:22:47.012Z"
}
],
"has_more": false,
"next_cursor": null
}